package com.ygtx.emcs.activity.adapter;

import android.graphics.Color;

public enum StatusEnum {
    STATUS_0(Color.BLUE, "就绪"),
    STATUS_1(Color.GREEN, "待入库"),
    STATUS_2(Color.GREEN, "已完成"),
    STATUS_3(Color.BLACK, "异常中"),
    STATUS_4(Color.RED, "已取消");

    public final Integer color;
    public final String text;

    StatusEnum(Integer color, String text) {
        this.color = color;
        this.text = text;
    }
    public static StatusEnum filter(String code){
        return StatusEnum.valueOf("STATUS_"+code);
    }
}
